For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTExport feature flags from an environment
      • POSTValidate feature import data
      • POSTImport feature flags
13.5kProductPricingSign inStart free trialBook a demo
Admin APIImport and export

Import feature flags

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/features-batch/import
POST
/api/admin/features-batch/import
$curl -X POST https://app.unleash-instance.example.com/api/admin/features-batch/import \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "project": "My awesome project",
> "environment": "development",
> "data": {
> "features": [
> {
> "name": "my-feature",
> "type": "release",
> "description": "best feature ever",
> "archived": false,
> "project": "default",
> "stale": false,
> "impressionData": false
> }
> ],
> "featureStrategies": [
> {
> "name": "flexibleRollout",
> "id": "924974d7-8003-43ee-87eb-c5f887c06fd1",
> "title": "Rollout 50%",
> "disabled": false,
> "featureName": "my-feature",
> "segments": [
> 1
> ],
> "constraints": [],
> "parameters": {
> "groupId": "default",
> "rollout": "50",
> "stickiness": "random"
> }
> }
> ],
> "tagTypes": [
> {
> "name": "simple",
> "description": "Used to simplify filtering of features",
> "icon": "#"
> }
> ]
> }
>}'
1{}
[Import feature flags](https://docs.getunleash.io/concepts/import-export#import-feature-flags) into a specific project and environment.
Was this page helpful?
Previous

Get login history

Next
Built with

Import feature flags into a specific project and environment.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

importTogglesSchema
projectstringRequired

The exported project

environmentstringRequired

The exported environment

dataobjectRequired

The result of the export operation, providing you with the feature flag definitions, strategy definitions and the rest of the elements relevant to the features (tags, environments etc.)

Response

This response has no body.

Errors

404
Not Found Error